#!/bin/bash
set -e;


if [ -n "${POSTGRE_DB_PASSWORD:-}" ] && [ -n "${POSTGRE_DB_PASSWORD:-}" ]; then
	psql -v ON_ERROR_STOP=1 --username "$POSTGRE_DB_USER" --dbname "$POSTGRE_DB_NAME" <<-EOSQL
		CREATE USER ${POSTGRE_DB_PASSWORD} WITH PASSWORD '${POSTGRE_DB_PASSWORD}';
		GRANT ALL PRIVILEGES ON DATABASE ${POSTGRE_DB_NAME} TO ${POSTGRE_DB_PASSWORD};
		GRANT CREATE ON SCHEMA public TO ${POSTGRE_DB_PASSWORD};
	EOSQL
else
	echo "SETUP INFO: No Environment variables given!"
fi